# 郵箱|deepin-mail|

## 概述

郵箱是一款簡單好用的郵件管理應用程序，支持IMAP和POP3協議，可同時管理多個郵箱帳號。

## 使用入門

您可以通過以下方式運行或關閉郵箱，或者創建快捷方式。

### 運行郵箱

1. 單擊任務欄上的啟動器圖標 ![deepin_launcher](../common/deepin_launcher.svg)，進入啟動器界面。

2. 上下滾動鼠標滾輪瀏覽或通過搜索，找到郵箱圖標![deepin_mail](../common/deepin_mail.svg) ，單擊運行 。

3. 右鍵單擊![deepin_mail](../common/deepin_mail.svg)，您可以：
   - 單擊 **傳送到桌面**，在桌面創建快捷方式。
   - 單擊 **傳送到任務欄**，將應用程序固定到任務欄。
   - 單擊 **加至開機啟動**，將應用程序添加到開機啟動項，在電腦開機時自動運行該應用程序。

### 關閉郵箱

- 在郵箱主界面單擊  ![close](../common/close.svg) ，退出郵箱。
- 右鍵單擊任務欄上的 ![deepin_mail](../common/deepin_mail.svg)，選擇 **關閉所有** 來退出郵箱。
- 在郵箱主界面單擊 ![icon_menu](../common/icon_menu.svg) ，選擇 **退出** 郵箱。

## 登錄

1. 打開郵箱，在郵箱登錄界面輸入郵箱帳號、密碼或授權碼後，單擊 **登錄**。

   ![tips](../common/tips.svg)竅門：單擊幫助按鈕![help](../common/help.svg)，可以查看郵箱的幫助手冊。

   ![login_interface](fig/login_interface.png)

2. 程序會自動檢測輸入的郵箱後綴是否在伺服器資料庫中：

   - 如果郵箱後綴在伺服器資料庫中，則可直接登錄；

   - 如果郵箱後綴不在伺服器資料庫中，則需單擊 **手動配置** 手動添加。

   ![email_config](fig/email_config.png)
   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
> ![notes](../common/notes.svg) 說明：QQ郵箱、網易郵箱（163.com及126.com）、新浪郵箱等需要開啟POP3/IMAP/exchange等服務後才可以在郵箱中使用。開啟服務後，服務端會產生授權碼。在登錄界面輸入郵箱帳戶及授權碼即可登錄郵箱。如果登錄失敗，單擊 **查看幫助** 則可查看幫助訊息。
>
> ![help_info](fig/help_info.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

## 主界面

郵箱主界面由郵箱帳戶、郵箱目錄、郵件列表、郵件正文、寫郵件、收郵件、搜索等組成。

![maininterface](fig/maininterface.png)

<table class="block1">
    <caption>主界面</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="100px">寫郵件</td>
            <td>快速開始寫郵件。</td>
        </tr>
        <tr>
            <td>2</td>
            <td>通訊錄</td>
            <td>展示通訊錄列表及聯繫人的訊息，同時可補充聯繫人電話號碼、地址等訊息。</td>
        </tr>
         <tr>
            <td>3</td>
            <td>收郵件</td>
            <td>從伺服器同步郵箱數據，包括郵件，地址簿，日曆等訊息。</td>
        </tr>
        <tr>
            <td>4</td>
            <td>搜索</td>
            <td>快速查找本地已加載的郵件。</td>
        </tr>
         <tr>
            <td>5</td>
            <td>主菜單</td>
            <td>進行郵箱相關設置、切換窗口主題，查看幫助手冊等操作。</td>
        </tr>
         <tr>
            <td>6</td>
            <td>郵箱帳戶</td>
            <td>展示添加的所有郵箱帳戶列表。</td>
        </tr>
        <tr>
            <td>7</td>
            <td>郵箱目錄</td>
            <td>郵箱目錄用於分類整理郵件數據，不同類別的郵箱目錄可能不同。除了通用固定目錄外，其他的就是用戶個人創建的目錄。</td>
        </tr>
         <tr>
            <td>8</td>
            <td>郵件列表</td>
            <td>展示郵箱目錄下的所有郵件，顯示內容包括：發件人、主題、摘要、發件時間及標星狀態。</td>
        </tr> 
          <tr>
            <td>9</td>
            <td>郵件正文</td>
            <td>展示郵件標題、收發件人訊息、時間及正文內容。</td>
        </tr> 
   </tbody>
   </table>

## 新建郵箱目錄

郵箱目錄用於分類整理郵件數據，不同協議的郵箱目錄可能不同，請以實際情況為準。例如pop協議的郵箱帳號有星標郵件目錄，用於存放星標郵件。

除了通用固定的目錄外，還可以新建郵箱目錄。

1. 在郵箱主界面，右鍵單擊郵箱帳號，並選擇 **新建文件夾**。

   ![new_folder](fig/new_folder.png)

2. 輸入文件夾名稱後，新的郵箱目錄創建完成。

3. 右键单击新的邮箱目录，可以进行重命名、创建子文件夹、批量删除等操作。

   ![right_click_menu](fig/right_click_menu.png)

## 寫郵件

1. 在郵箱主界面，單擊寫郵件按鈕![email_button](../common/email_button.svg)，進入寫郵件界面。
2. 輸入收件人郵箱帳號，或單擊添加按鈕 ![add_normal](../common/add_normal.svg)從通訊錄中選擇收件人，還可以選擇抄送和密送。
3. 郵件正文支持富文本編輯，包括插入圖片、鏈接等功能，支持添加附件、簽名等功能。默認簽名為您的郵箱帳號，單擊 「簽名」 下拉框，可以編輯簽名訊息。
4. 編輯完成後，單擊 **發送 **即可。

![write_email](fig/write_email.png)

## 收郵件

收郵件是從伺服器同步郵箱數據，包括郵件、地址簿、日曆等訊息，系統默認每15分鐘同步1次郵箱數據。在主菜單的郵箱設置界面中，可以選擇每次收取郵件的數量和自動收件的時間間隔。

收取郵件有兩種方式：

- 選中郵箱帳戶，單擊收取郵件按鈕 ![refresh_button](../common/refresh_button.svg)。
- 選中郵箱帳戶並單擊右鍵，選擇 **收取郵件**。

## 查看郵件

1. 在郵件列表中單擊 **所有郵件**，可以選擇查看所有郵件、未讀郵件、星標郵件、含附件或@我的郵件。

2. 單擊選中的郵件後，可查看該郵件的主題、收發件人、時間及正文等訊息。如果您選中多個郵件，則不會顯示郵件內容。

   - 按住 **Ctrl** 鍵，用鼠標左鍵依次單擊郵件，可選中多個郵件；

   - 用鼠標左鍵單擊A郵件，然後按住 **Shift** 鍵 ，再用左鍵單擊B郵件，可選中從A到B之間的所有郵件。

3. 單擊發件人或收件人郵箱，可查看收發件人的詳細訊息及往來郵件，還可以將他們添加到通訊錄。

   ![contact_info](fig/contact_info.png)
   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

4. 在郵件正文區域，可以對郵件進行編輯、轉發、標星、移動、刪除等操作。

   ![email_text](fig/email_text.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

## 搜索郵件

郵件搜索功能可以快速查找本地已加載的郵件。

1. 在郵箱主界面單擊搜索按鈕![search](../common/search.svg)，輸入關鍵字後，可以選擇 「主題」 、「全文」、「發件人」或 「收件人」搜索郵件。

2. 單擊篩選按鈕![filter](../common/filter.svg)，還可以進行更精確的搜索。在篩選界面，您可以輸入發件人、收件人訊息，輸入主題、全文關鍵字，選擇是否有附件、選擇時間範圍進行精確搜索。

   ![search](fig/search.png)

## 聚合郵件

聚合郵件可以將發件人或主題關鍵字相同的郵件聚合在一起，聚合條件則會自動添加到帳號設置中的聚合頁簽中。

- 按發件人聚合：選中一個郵件並單擊右鍵，選擇 **聚合 > 聚合來自xxx的所有郵件**。所有來至xxx發件人的郵件都會聚合在一起。

- 按主題關鍵字聚合：選中一個郵件並單擊右鍵，選擇 **聚合 > 聚合特定主題關鍵字的所有郵件**，彈出選框。輸入關鍵詞後，單擊 **確認**  後，郵件主題中包含該關鍵詞的郵件都會聚合在一起。

![syndicate_mail](fig/syndicate_mail.png)

## 取消聚合郵件

右鍵單擊已聚合的郵件，選擇 **取消聚合**，已聚合的郵件則會分開顯示，帳號設置界面的聚合頁簽中的聚合條件也會自動刪除。

![cancel_aggregation](fig/cancel_aggregation.png)

## 移動郵件

將當前文件夾的郵件移動到其他文件夾，可以移動一個郵件，或移動該發件人的所有郵件。

![move](fig/move.png)

## 刪除郵件

刪除郵件可以選擇單個刪除或批量刪除，刪除後的郵件會存放到「已刪除」 目錄，您還可以在 **已刪除** 目錄中永久刪除郵件。

### 單個刪除

單個刪除郵件有兩種方式：

- 在郵件列表選中郵件並單擊右鍵，選擇 **刪除**。
- 在郵件正文中，單擊刪除按鈕 ![trash](../common/trash.svg)。

### 批量刪除

選中要刪除的郵箱目錄並單擊右鍵，選擇 **批量刪除**，您可以刪除一定時間範圍內的郵件，如刪除一週前、一個月前的郵件等。

## 導入郵件

在郵箱目錄列表中，選中郵箱目錄並單擊右鍵，選擇 **導入郵件**。彈出文件管理器窗口，選擇需要導入的郵件後，單擊 **打開** 即可導入指定目錄。

## 導出郵件

導出郵件可以單獨導出，也支持批量導出。

### 單個導出

1. 單個導出郵件有兩種方式：
   - 在郵件列表選中一個或多個郵件並單擊右鍵，選擇 **導出**。

   - 在郵件正文中，單擊更多操作按鈕![more](../common/more.svg)後，選擇 **導出**。
2. 彈出文件管理器窗口，選擇存儲路徑後單擊 **保存**。

### 批量導出

選中指定的郵箱目錄並單擊右鍵，選擇 **導出郵件**，彈出文件管理器窗口，選擇存儲路徑後單擊 **保存**。

## 通訊錄

在郵箱主界面，單擊通訊錄按鈕![contact_button](../common/contact_button.svg)，進入通訊錄界面。可查看通訊錄列表及聯繫人的訊息，同時可補充聯繫人電話號碼、地址等訊息，單擊![add_normal](../common/add_normal.svg)還可添加新聯繫人。

![contact](fig/contact.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

## 主菜單

在郵箱主菜單中，您可以進行郵箱設置、切換窗口主題，查看幫助手冊等操作。

### 設置

在邮箱主界面，单击 ![icon_menu](../common/icon_menu.svg)。进入邮箱设置界面，可进行帐号设置、基本设置、反垃圾设置及高级设置。

#### 帳號設置

在帳號設置界面，可以添加或刪除郵箱帳號，單擊添加按鈕![add_normal](../common/add_normal.svg)，可繼續添加新的郵箱帳號。單擊刪除按鈕![edit_delete](../common/edit_delete.svg)後，可選擇刪除郵箱帳號。每個郵箱帳號都可以進行郵箱、簽名、過濾規格、聚合、收件數量設置。

![ID_setting](fig/ID_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**郵箱設置**：單擊 **郵箱設置** 頁簽，可以修改頭像，設置郵箱別名，配置伺服器。

**簽名**：默認簽名為郵箱帳號，單擊 **簽名** 頁簽，可以編輯當前簽名或添加新的簽名。

**過濾規則**：單擊 **過濾規則** 頁簽，可以設置多個條件對郵件進行組合過濾，只要滿足一個條件的郵件就會執行特定操作。例如：當收到某人的郵件時直接移動到垃圾郵件。

郵件將按過濾規則列表從上至下的順序進行檢查，當規則出現衝突時執行較上方的規則，且同一封郵件僅能命中一條規則，之後將不再向下檢查。

![filtering_rules](fig/filtering_rules.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**聚合**：單擊 **聚合** 頁簽，勾選 **按主題聚合 **後，收件箱中主題相同的郵件則會聚合在一起。在郵件列表中選擇的郵件聚合條件也會自動添加到選框中，詳細訊息請參考 [聚合郵件](#聚合郵件)。

![aggregation_settings](fig/aggregation_settings.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**收件数量**：单击 **收件数量** ，可以设置从服务器收取邮件的数量。

#### 基本設置

**快捷鍵**：郵箱中常用操作的快捷鍵。

**常規設置**：郵箱開機啟動、收件提醒及收件時間間隔等的基本設置。

![basic_setting](fig/basic_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**關閉主窗口**：

- 選擇 **最小化到系統托盤**，關閉主窗口時，應用將隱藏到系統托盤。
- 選擇 **退出**，關閉主窗口時直接退出應用。
- 選擇**每次詢問**，每次關閉主窗口時會彈出確認彈框。

#### 反垃圾設置

**黑名單**：在黑名單列表裏的郵箱發來的郵件都會被拒收，可添加、導出及導入黑名單。

**白名單**：在白名單列表裏的郵箱發來的郵件都會被接收，可添加、導出及導入白名單。

#### 高級設置

基於郵箱數據安全考慮，建議開啟安全鎖，設置開啟密碼。當鼠標和鍵盤超過15分鐘未操作，郵箱將自動鎖定，喚醒時需要輸入安全鎖密碼。

![advanced_setting](fig/advanced_setting.png)

#### 恢復默認

單擊 **恢復默認** ，可將當前頁面恢復為默認設置。

### 主題

窗口主題包含淺色主題、深色主題和系統主題。

1. 在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **主題**，選擇一個主題顏色。

### 幫助

1. 在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **幫助** ，查看關於郵箱的幫助手冊，讓您進一步了解和使用郵件。

### 關於

1. 在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **關於**，查看關於郵箱的版本和介紹。

### 退出

1. 在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **退出**。