# 電郵|deepin-mail|

## 概述

電郵一款簡單好用的郵件管理應用程式。支持IMAP和POP3協議，可同時管理多個郵件信箱帳號。

## 使用入門

您可以透過以下方式運行或關閉電郵，或者創建捷徑。

### 運行電郵

1. 單擊任務欄上的 ![deepin_launcher](../common/deepin_launcher.svg) ，進入啟動器介面。

2. 上下滾動滑鼠滾輪瀏覽或通過搜索找到「電郵」按鈕 ![deepin_mail](../common/deepin_mail.svg)，單擊開啟。

3. 右鍵單擊 ![deepin_mail](../common/deepin_mail.svg)，您可以：
   - 單擊 **建立桌面捷徑**，在桌面創建捷徑。
   - 單擊 **訂選到Dock**，將應用程式固定到Dock。
   - 單擊 **開機啟動**，將應用程式添加到開機啟動項，在電腦開機時自動運行該應用程式。

### 關閉電郵

- 在電郵介面，單擊  ![close](../common/close.svg) ，關閉電郵。
- 右鍵單擊任務欄上的 ![deepin_mail](../common/deepin_mail.svg) 圖示，選擇 **全部關閉** 來關閉電郵。
- 在電郵介面單擊 ![icon_menu](../common/icon_menu.svg)，選擇 **離開** 來關閉電郵。

## 登入

1. 打開電郵，在電郵登錄介面輸入信箱帳號、密碼或授權碼後，單擊 **登入**。

   > ![tips](../common/tips.svg)竅門：單擊幫助按鈕![help](../common/help.svg)，可以查看電郵的說明手冊。

   ![login-interface](fig/login-interface.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
2. 程序會自動檢測輸入的信箱後綴是否在伺服器資料庫中：

   - 如果信箱後綴在伺服器資料庫中，則可直接登入；

   - 如果信箱後綴不在伺服器資料庫中，則需單擊 **手動配置** 手動添加。

     ![email-config](fig/email-config.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
> ![notes](../common/notes.svg) 說明：QQ信箱、網易信箱（163.com及126.com）、新浪信箱等需要開啟POP3/IMAP/exchange等服務後才可以在郵件客戶端中使用。開啟服務後，服務端會產生授權碼。在登入介面輸入信箱帳號及授權碼即可登入電郵客戶端。如果登入失敗，單擊 **查看說明** 則可查看說明訊息。
>
> ![help-info](fig/help-info.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

## 主介面

電郵主介面由信箱帳戶、信箱目錄、郵件列表、郵件正文、寫郵件、收郵件、通訊錄、搜尋等組成。

![maininterface](fig/maininterface.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

<table class="block1">
    <caption>主介面</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="100px">寫郵件</td>
            <td>可以快速寫郵件。</td>
        </tr>
        <tr>
            <td>2</td>
            <td>通訊錄</td>
            <td>展示通訊錄列表及聯絡人的訊息，同時可補充聯絡人電話號碼、地址等訊息。</td>
        </tr>
         <tr>
            <td>3</td>
            <td>收取郵件</td>
            <td>從伺服器同步信箱數據，包括郵件、地址簿、日曆等訊息。</td>
        </tr>
        <tr>
            <td>4</td>
            <td>搜尋</td>
            <td>快速查找本地已載入的郵件。</td>
        </tr>
        <tr>
            <td>5</td>
            <td>主選單</td>
            <td>進行信箱相關設定、切換視窗主題，查看說明手冊等操作。</td>
        </tr>
         <tr>
            <td>6</td>
            <td>信箱帳號</td>
            <td>展示添加的所有信箱帳號列表。</td>
        </tr>
        <tr>
            <td>7</td>
            <td>信箱目錄</td>
            <td>信箱目錄用於分類整理郵件數據，不同類別的信箱目錄可能不同。除了通用固定目錄外，其他的就是用戶個人創建的目錄。</td>
        </tr>
         <tr>
            <td>8</td>
            <td>郵件列表</td>
            <td>展示信箱目錄下的所有郵件，顯示內容包括：發件人、主題、摘要、發件時間及標星狀態。</td>
        </tr> 
          <tr>
            <td>9</td>
            <td>郵件正文</td>
            <td>展示郵件標題、收發件人訊息、時間及正文內容。</td>
        </tr> 
   </tbody>
   </table>

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

## 建立信箱目錄

信箱目錄用於分類整理郵件數據，不同協議的信箱目錄可能不同，請以實際情況為準。例如pop協議的信箱帳號有星標郵件目錄，用於存放星標郵件。

除了通用固定的目錄外，還可以建立信箱目錄。

1. 在信箱主界面，右鍵單擊信箱帳號，並選擇 **建立資料夾**。

   ![new_folder](fig/new_folder.png)

2. 輸入資料夾名稱後，新的信箱目錄創建完成。

3. 右鍵單擊新的信箱目錄，可以進行重新命名、建立子資料夾、批次刪除等操作。

   ![right_click_menu](fig/right_click_menu.png)

## 寫郵件

1. 在電郵主介面，單擊寫郵件按鈕![email_button](../common/email_button.svg)，進入寫郵件介面。

2. 輸入收件人信箱帳號，或單擊添加按鈕 ![add_normal](../common/add_normal.svg)從通訊錄中選擇收件人，還可以選擇抄送和密送。

3. 郵件正文支援富文字編輯，包括插入圖片、連結等功能，支援添加附件、簽名等功能。預設簽名為您的信箱帳號，單擊「簽名」下拉框，可以編輯簽名訊息。

4. 編輯完成後，單擊 **發送 **即可。 

![write-email](fig/write-email.png)

## 收取郵件

收郵件是從伺服器同步信箱資料，包括郵件，通訊錄等訊息，系統預設每15分鐘同步1次信箱資料。在主選單的信箱設定介面中，可以選擇每次收取郵件的數量和自動收件的時間間隔。

收取郵件有兩種方式：

- 選中信箱帳號，單擊刷新按鈕 ![refresh-button](../common/refresh_button.svg)。
- 選中信箱帳號並單擊右鍵，選擇 **收取郵件**。

## 查看郵件

1. 在郵件列表中單擊 **所有郵件**，可以選擇查看所有郵件、未讀郵件、星標郵件、含附件或@我的郵件。

2. 單擊選中的郵件後，可查看該郵件的主題、收發件人、時間及正文等訊息。如果您選中多個郵件，則不會顯示郵件內容。

   - 按住 **Ctrl** 鍵，用滑鼠左鍵依次單擊郵件，可選中多個郵件；

   - 用滑鼠左鍵單擊A郵件，然後按住 **Shift** 鍵 ，再用左鍵單擊B郵件，可選中從A到B之間的所有郵件。

3. 單擊發件人或收件人信箱，可查看收發件人的詳細訊息及往來郵件，還可以將他們添加到通訊錄。

   ![contact_info](fig/contactinfo.png)

4. 在郵件正文區域，可以對郵件進行編輯、轉發、標星、移動、刪除等操作。

   ![email_text](fig/emailtext.png)

## 搜尋郵件

郵件搜尋功能可以快速定位本地已載入的郵件。

1. 在電郵主介面單擊搜尋按鈕![search](../common/search.svg)，輸入關鍵字後，可以選擇「主題」、「全文」、「發件人」或「收件人」搜尋郵件。

2. 單擊篩選按鈕![filter](../common/filter.svg)，還可以進行更精確的搜尋。在篩選介面，您可以輸入發件人、收件人訊息，輸入主題、全文關鍵字，選擇是否有附件、選擇時間範圍進行精確搜尋。

   ![search](fig/search.png)

## 聚合郵件

聚合郵件可以將發件人或主題關鍵字相同的郵件聚合在一起，聚合條件則會自動添加到帳號設定中的聚合頁簽中。

- 按發件人聚合：選中一個郵件並單擊右鍵，選擇 **聚合 > 聚合來自xxx的所有郵件**。所有來至xxx發件人的郵件都會聚合在一起。

- 按主題關鍵字聚合：選中一個郵件並單擊右鍵，選擇 **聚合 > 聚合特定主題關鍵字的所有郵件**，彈出選框。輸入關鍵字後，單擊 **確定**，郵件主題中包含該關鍵字的郵件都會聚合在一起。

![syndicate_mail](fig/syndicate_mail.png)

## 取消聚合郵件

右鍵單擊已聚合的郵件，選擇 **取消聚合**，已聚合的郵件則會分開顯示，帳號設置界面的聚合頁簽中的聚合條件也會自動刪除。

![cancel_aggregation](fig/cancel_aggregation.png)

## 移動郵件

將目前資料夾的郵件移動到其他資料夾，可以移動一個郵件，或移動該發件人的所有郵件。

![move](fig/move.png)



## 刪除郵件

刪除郵件可以選擇單個刪除或批次刪除，一般刪除的郵件會存放到 **已刪除** 目錄，還可以選擇永久刪除。

### 單個刪除

單個刪除郵件有兩種方式。

- 在郵件列表選中郵件並單擊右鍵，選擇 **刪除**。
- 在郵件正文中，單擊刪除按鈕 ![trash](../common/trash.svg)。



### 批次刪除

選中要刪除的信箱目錄並單擊右鍵，選擇 **批次刪除**，您可以根據時間範圍，如刪除一週前、一個月前的郵件等。

## 匯入郵件

在信箱目錄列表中，選中信箱目錄並單擊右鍵，選擇 **匯入郵件**。彈出檔案管理器窗口，選擇需要匯入的郵件後，單擊 **開啟** 即可匯入指定目錄。

## 匯出郵件

匯出郵件可以單獨匯出，也支持批次匯出。

### 單個匯出

單個匯出郵件有兩種方式：

- 在郵件列表選中郵件並單擊右鍵，選擇 **匯出**。
- 在郵件正文中，單擊更多操作按鈕 ![more](../common/more.svg) 後，選擇 **匯出**。

在檔案管理器中選擇存儲路徑後單擊 **保存**。

### 批次匯出

選中指定的信箱目錄並單擊右鍵，選擇 **匯出郵件**，彈出檔案管理器窗口，選擇存儲路徑後單擊 **保存**。

## 通訊錄

在電郵主介面，單擊通訊錄按鈕 ![contact_button](../common/contact_button.svg)，進入通訊錄介面。可查看通訊錄列表及聯絡人的訊息，同時可補充聯絡人電話號碼、地址等訊息，單擊 ![add_normal](../common/add_normal.svg) 還可添加新聯絡人。

![contact](fig/contact.png)

## 主選單

在電郵主選單中，您可以進行信箱設定、切換窗口主題，查看幫助手冊等操作。

### 設定

在電郵主介面，單擊 ![icon_menu](../common/icon_menu.svg)。進入郵件設置介面，可進行帳號設定、基本設定、反垃圾設定及進階設定。

#### 帳號設定

在帳號設定介面，可以添加或刪除信箱帳號，單擊添加按鈕![add_normal](../common/add_normal.svg)，可繼續添加新的信箱帳號。單擊刪除按鈕![edit_delete](../common/edit_delete.svg)後，可選擇刪除信箱帳號。每個信箱帳號都可以進行信箱、簽名、過濾規格、聚合、收件數量設定。

![ID_setting](fig/ID_setting.png)

**信箱設定**：單擊 **信箱設定** 頁簽，可以修改大頭貼，設定信箱別名，配置伺服器。

**簽名**：預設簽名為信箱帳號，單擊 **簽名** 頁簽，可以編輯目前簽名或添加新的簽名。

**過濾規則**：單擊 **過濾規則** 頁簽，可以設置多個條件對郵件進行組合過濾，只要滿足一個條件的郵件就會執行特定操作。例如：當收到某人的郵件時直接移動到垃圾郵件。

郵件將按過濾規則列表從上至下的順序進行檢查，當規則出現衝突時執行較上方的規則，且同一封郵件僅能命中一條規則，之後將不再向下檢查。

![filtering_rules](fig/filtering_rules.png)

**聚合**：單擊 **聚合** 頁簽，勾選 **按主題聚合 **後，收件箱中主題相同的郵件則會聚合在一起。在郵件列表中選擇的郵件聚合條件也會自動添加到選框中，詳細訊息請參考 [聚合郵件](#聚合郵件)。

![aggregation_settings](fig/aggregation_settings.png)

**收件數量**：單擊 **收件數量** ，可以設定從伺服器收取郵件的數量。


#### 基本設定

**快捷鍵**：電郵應用程式中常用操作的快捷鍵。

**一般設定**：電郵應用程式開機啟動、收件提醒及自動收信時間間隔等基本設置。

![basic-setting](fig/basic-setting.png)

**關閉主視窗**：

- 選擇 **最小化到系統工具列**，關閉主視窗時，應用將隱藏到系統工具列。
- 選擇 **退出**，關閉主視窗時直接退出應用。
- 選擇 **每次詢問**，每次關閉主視窗時會彈出確認彈框。

#### 反垃圾設定

**黑名單**：在黑名單列表中的信箱發來的郵件都會被拒收，可添加、匯出及匯入黑名單。
**白名單**：在白名單列表裡的信箱發來的郵件都會被接收，可添加、匯出及匯入白名單。



#### 進階設定

基於信箱數據安全考慮，建議開啟安全鎖，設置開啟密碼。當滑鼠和鍵盤超過15分鐘未操作，信箱將自動鎖定，喚醒時需要輸入安全鎖密碼。

![advanced-setting](fig/advanced-setting.png)

#### 復原預設

單擊 **復原預設** ，可復原目前頁面為預設設定。


### 主題

窗口主題包含淺色主題、深色主題和系統主題。

1. 在電郵主介面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **主題**，選擇一個主題顏色。

### 說明

1. 在電郵主介面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **說明** ，查看電郵的說明手冊，進一步了解和使用電郵客戶端。

### 關於

1. 在電郵主介面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **關於**，查看電郵的版本和介紹。

### 離開

1. 在電郵主介面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **離開**。